#!/usr/bin/env python

from string import strip
import webkitbugs
import sys

def parse_file(fname):

    config = {}
    for l in open(fname).readlines():
        l = l.strip()
        if not l or l[0] == '#':
            continue

        (key, val) = map(strip, l.strip().split(':'))

        if config.has_key(key):
            othervals = config[key]
            if type(othervals) is not list:
                othervals = [othervals]
            othervals.append(val)
            val = othervals

        config[key] = val

    return config

    
if __name__ == '__main__':

    bugnum = sys.argv[1]
    description = sys.argv[2]

    if len(sys.argv) == 4:
        review = sys.argv[3]
    else:
        review = 'X'

    fname = 'patches/patch.%s.txt' % bugnum
    patch = open(fname).read()

    # login, post attachment.  hooray.
    login = parse_file("login.txt")
    bt = webkitbugs.bugzilla(login['user'], login['pass'])
    bt.post_attachment(bugnum, fname, patch, description, review)

